OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
oms::ComRef Class Reference

ComRef - component reference. More...

`#include <ComRef.h>`

## Public Member Functions
| ComRef ()
| ComRef (const std::string &path)
| ComRef (const char *path)
| ~ComRef ()
| ComRef (const ComRef &copy)
ComRef & | operator= (const ComRef &copy)
ComRef | operator+ (const ComRef &rhs) const
| return ComRef(lhs + rhs) - Obs! lhs will lose its suffix
bool | isValidIdent () const
bool | isEmpty () const
bool | isRootOf (ComRef child) const
ComRef | front () const
| returns the first part of the ComRef (including suffix if its the only part)
ComRef | pop_front ()
| returns the first part of the ComRef and removed it from the current object
std::string | suffix () const
| returns the suffix as string
std::string | pop_suffix ()
| returns the suffix as string and removes it from the current object
bool | pop_suffix (const std::string &suffix)
bool | hasSuffix () const
| returns true if the cref has a suffix, i.e. contains ":"
bool | hasSuffix (const std::string &suffix) const
| returns true if the cref has a suffix that matches the argument
const char * | c_str () const
size_t | size () const
| operator std::string () const

## Static Public Member Functions
static bool | isValidIdent (const std::string &ident)

## Private Attributes
char * | cref

## Detailed Description

ComRef - component reference.

A component reference is a qualified name of a component. It uses '.' as component separator. It may also contain a ':' followed by a suffix string which is used to define attributes or filenames.

## Constructor & Destructor Documentation

## ◆ ComRef() [1/4]

oms::ComRef::ComRef | ( |  | ) |

Here is the call graph for this function:

## ◆ ComRef() [2/4]

oms::ComRef::ComRef | ( | const std::string & | path | ) |

Here is the call graph for this function:

## ◆ ComRef() [3/4]

oms::ComRef::ComRef | ( | const char * | path | ) |

Here is the call graph for this function:

## ◆ ~ComRef()

oms::ComRef::~ComRef | ( |  | ) |

## ◆ ComRef() [4/4]

oms::ComRef::ComRef | ( | const ComRef & | copy | ) |

Here is the call graph for this function:

## Member Function Documentation

## ◆ c_str()

const char * oms::ComRef::c_str | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ front()

oms::ComRef oms::ComRef::front | ( |  | ) | const

returns the first part of the ComRef (including suffix if its the only part)

Here is the caller graph for this function:

## ◆ hasSuffix() [1/2]

bool oms::ComRef::hasSuffix | ( |  | ) | const

returns true if the cref has a suffix, i.e. contains ":"

Here is the caller graph for this function:

## ◆ hasSuffix() [2/2]

bool oms::ComRef::hasSuffix | ( | const std::string & | suffix | ) | const

returns true if the cref has a suffix that matches the argument

## ◆ isEmpty()

bool oms::ComRef::isEmpty | ( |  | ) | const

Here is the caller graph for this function:

## ◆ isRootOf()

bool oms::ComRef::isRootOf | ( | ComRef | child | ) | const

Here is the call graph for this function:

## ◆ isValidIdent() [1/2]

bool oms::ComRef::isValidIdent | ( |  | ) | const

Here is the caller graph for this function:

## ◆ isValidIdent() [2/2]

bool oms::ComRef::isValidIdent | ( | const std::string & | ident | ) |
| static

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ operator std::string()

oms::ComRef::operator std::string | ( |  | ) | const
| inline

## ◆ operator+()

oms::ComRef oms::ComRef::operator+ | ( | const ComRef & | rhs | ) | const

return ComRef(lhs + rhs) - Obs! lhs will lose its suffix

Here is the call graph for this function:

## ◆ operator=()

oms::ComRef & oms::ComRef::operator= | ( | const ComRef & | copy | ) |

Here is the call graph for this function:

## ◆ pop_front()

oms::ComRef oms::ComRef::pop_front | ( |  | ) |

returns the first part of the ComRef and removed it from the current object

## ◆ pop_suffix() [1/2]

std::string oms::ComRef::pop_suffix | ( |  | ) |

returns the suffix as string and removes it from the current object

Here is the caller graph for this function:

## ◆ pop_suffix() [2/2]

bool oms::ComRef::pop_suffix | ( | const std::string & | suffix | ) |

## ◆ size()

size_t oms::ComRef::size | ( |  | ) | const

## ◆ suffix()

std::string oms::ComRef::suffix | ( |  | ) | const

returns the suffix as string

Here is the caller graph for this function:

## Member Data Documentation

## ◆ cref

char* oms::ComRef::cref
| private

The documentation for this class was generated from the following files:

- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/ComRef.h
- /var/lib/jenkins1/ws/OMSimulator_PR-1619/src/OMSimulatorLib/ComRef.cpp